CVE-2021-23718

Published on: 11/22/2021 12:00:00 AM UTC

Last Modified on: 12/15/2021 06:16:00 PM UTC

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N/E:P

Certain versions of Ssrf-agent from Ssrf-agent Project contain the following vulnerability:

The package ssrf-agent before 1.0.5 are vulnerable to Server-side Request Forgery (SSRF) via the defaultIpChecker function. It fails to properly validate if the IP requested is private.

  • CVE-2021-23718 has been assigned by URL Logo [email protected] to track the vulnerability - currently rated as HIGH severity.

CVSS3 Score: 7.5 - HIGH

Attack
Vector
Attack
Complexity
Privileges
Required
User
Interaction
NETWORK LOW NONE NONE
Scope Confidentiality
Impact
Integrity
Impact
Availability
Impact
UNCHANGED HIGH NONE NONE

CVSS2 Score: 5 - MEDIUM

Access
Vector
Access
Complexity
Authentication
NETWORK LOW NONE
Confidentiality
Impact
Integrity
Impact
Availability
Impact
PARTIAL NONE NONE

CVE References

Description Tags Link
Server-side Request Forgery (SSRF) in ssrf-agent | Snyk snyk.io
text/html
URL Logo MISC snyk.io/vuln/SNYK-JS-SSRFAGENT-1584362
ssrf-agent/index.js at cec2b85fe8886ad6926a247a3e059d8369ec022b · welefen/ssrf-agent · GitHub github.com
text/html
URL Logo MISC github.com/welefen/ssrf-agent/blob/cec2b85fe8886ad6926a247a3e059d8369ec022b/index.js%23L13
CVE-2021-23718 Node.js Vulnerability in NetApp Products | NetApp Product Security security.netapp.com
text/html
URL Logo CONFIRM security.netapp.com/advisory/ntap-20211203-0005/

Known Affected Configurations (CPE V2.3)

Type Vendor Product Version Update Edition Language
ApplicationSsrf-agent ProjectSsrf-agentAllAllAllAll
  • cpe:2.3:a:ssrf-agent_project:ssrf-agent:*:*:*:*:*:node.js:*:*:

Discovery Credit

Sayooj B Kumar

Social Mentions

Source Title Posted (UTC)
Twitter Icon @CVEreport CVE-2021-23718 : The package ssrf-agent before 1.0.5 are vulnerable to Server-side Request Forgery #SSRF via the… twitter.com/i/web/status/1… 2021-11-22 17:04:21
Twitter Icon @Robo_Alerts Potentially Critical CVE Detected! CVE-2021-23718 Description: The package ssrf-agent before 1.0.5 are vulnerable t… twitter.com/i/web/status/1… 2021-11-22 18:00:14
© CVE.report 2022 Twitter Nitter Twitter Viewer |

Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.

CVE, CWE, and OVAL are registred trademarks of The MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. This site includes MITRE data granted under the following license.

CVE.report and Source URL Uptime Status status.cve.report